"""
UI factory
"""

def app_factory(interface=None):
    if not interface or interface == 'hildon':
        from meabook.ui.hildon_ui.hildon_ui import HildonMeabook
        from meabook.renderers.hildon_renderer import HildonRenderer
        return HildonMeabook, HildonRenderer
    elif interface == 'text':
        from ui.text_ui import TextMeabook
        return TextMeabook
    else:
        raise ValueError('%s: unsupported UI type' % interface)
